StartupEvents.registry('item', event => {

    event.create('ultimate_honeycomb').displayName('Ultimate Honeycomb')
    event.create('mystian_blossom').displayName('The Mystian Blossom')
    event.create('perfect_rune').displayName('The Perfect Rune')
    event.create('sun_spirit_soul').displayName('Sun Spirits Soul')
    event.create('valkyrie_queen_soul').displayName('Valkyrie Queens Soul')
    event.create('slider_soul').displayName('Sliders Soul')
    event.create('artifact_runestone_dark_large').displayName('Large Dark Runestone')
    event.create('artifact_runestone_dark_medium').displayName('Medium Dark Runestone')
    event.create('artifact_runestone_dark_small').displayName('Small Dark Runestone')
    event.create('artifact_runestone_dark_tiny').displayName('Tiny Dark Runestone')
    event.create('artifact_runestone_dark_inscribed_large').displayName('Large Inscribed Dark Runestone')
    event.create('artifact_runestone_dark_inscribed_medium').displayName('Medium Inscribed Dark Runestone')
    event.create('artifact_runestone_dark_inscribed_small').displayName('Small Inscribed Dark Runestone')
    event.create('artifact_runestone_dark_inscribed_tiny').displayName('Tiny Inscribed  Dark Runestone')
    event.create('artifact_seeping_stone_large').displayName('Large Seeping Runestone')
    event.create('artifact_seeping_stone_medium').displayName('Medium Seeping Runestone')
    event.create('artifact_seeping_stone_small').displayName('Small Seeping Runestone')
    event.create('artifact_seeping_stone_tiny').displayName('Tiny Seeping Runestone')
    event.create('artifact_star').displayName('Crystal Star')
    event.create('artifact_star_animated').displayName('Infused Crystal Star')
    event.create('material_crystal_dark_inert').displayName('Empty Dark Crystal')
    event.create('material_crystal_dark_charging').displayName('Semi-Infused Dark Crystal')
    event.create('material_crystal_dark_full').displayName('Fully Infused Dark Crystal')
})

ItemEvents.modification(event => {
    event.modify('minecraft:ender_pearl', item => {
      item.maxStackSize = 64
      item.fireResistant = true
      item.rarity = "UNCOMMON"
    })
    event.modify('miniutilities:golden_lasso', item => {
      item.maxStackSize = 1
    })
    event.modify('endrem:nether_eye', item => {
      item.fireResistant = true
    })
    event.modify('endrem:lost_eye', item => {
      item.fireResistant = true
    })
})

Platform.mods.kubejs.name = 'Impostor Syndrome'